/* Prototypes for functions defined in
lex.yy.c
 */

extern char * rgsbEnvIgnore[10];

extern char * rgsbIncList[40];

extern char * rgsbInputPaths[10];

extern char sbCurrentEnv[100];

extern char * sbProgName;

extern FILE * rgfp[11];

extern int cfp;

extern int cOpenBrace;

extern int csbEnvIgnore;

extern int csbIncList;

extern int csbInputPaths;

extern int fLatex;

extern int fWord;

extern int fFollow;

extern int fCite;

extern int fSpace;

extern int fForcetex;

extern unsigned char * yytext;

extern int yyleng;

extern FILE * yyin;

extern FILE * yyout;

int yylex(void);

void yyrestart(FILE * );

void yy_switch_to_buffer(YY_BUFFER_STATE );

void yy_load_buffer_state(void);

YY_BUFFER_STATE yy_create_buffer(FILE * , int );

void yy_delete_buffer(YY_BUFFER_STATE );

void yy_init_buffer(YY_BUFFER_STATE , FILE * );

int main(int , char ** );

int yywrap(void);

void SetEnvIgnore(char * );

int BeginEnv(char * );

int EndEnv(char * );

void InputFile(char * );

void IncludeFile(char * );

void AddInclude(char * );

int InList(char * );

void SetInputPaths(void);

int SeparateList(char * , char ** , char , int );

FILE * TexOpen(char * );

void Warning(char * , char * );

void ErrorExit(char * );

